MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025075Open CASCADE[OCCT] OCCT:Codingpublic2014-07-12 13:122014-11-11 12:53
Reporterkgv 
Assigned Tobugmaster 
PriorityurgentSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025075: BRepMesh - eliminate new x86_64 compiler warnings
DescriptionNew compiler warnings in BRepMesh package:
warning C4267: 'initializing' : conversion from 'size_t' to 'const Standard_Integer', possible loss of 
data
    C:\dev\occt\src\BRepMesh\BRepMesh_WireChecker.cxx	197
warning C4267: 'initializing' : conversion from 'size_t' to 'const Standard_Integer', possible loss of 
data
    C:\dev\occt\src\BRepMesh\BRepMesh_WireChecker.cxx	365
warning C4267: 'initializing' : conversion from 'size_t' to 'Standard_Integer', possible loss of data
    
C:\dev\occt\src\BRepMesh\BRepMesh_WireInterferenceChecker.cxx	36
warning C4267: 'initializing' : conversion from 'size_t' to 'const Standard_Integer', possible loss of 
data
    C:\dev\occt\src\BRepMesh\BRepMesh_WireInterferenceChecker.cxx	77
warning C4267: 'argument' : conversion from 'size_t' to 'const Standard_Integer', possible loss of data
    
C:\dev\occt\src\BRepMesh\BRepMesh_WireInterferenceChecker.cxx	94


and compilation error when built without TBB:
error C2039: 'SegmentsTree' : is not a member of 'BRepMesh_WireChecker' (..\..\..\src\BRepMesh\BRepMesh_WireInterferenceChecker.cxx)
    
c:\dev\occt\inc\BRepMesh_WireInterferenceChecker.hxx	63
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0030096)
kgv (developer)
2014-07-12 13:17

Patch is ready for review in branch CR25075.
(0030098)
kgv (developer)
2014-07-12 17:26

In addition, added fix for compilation error without TBB support.
(0030108)
oan (developer)
2014-07-14 11:43
edited on: 2014-07-14 11:50

Code style is corrected.

Reviewed, please test.

(0030175)
mkv (tester)
2014-07-15 21:17

Dear BugMaster,

Branch CR25075 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 827526cb0bdf24e3a7a344c623b12af0d40236b2

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 352882436 / 352298144
Total CPU difference: 54804.63999999997 / 54524.60999999987

Testing on Windows:
Total MEMORY difference: 377934268 / 378488680
Total CPU difference: 41806.46875 / 46775.453125

There are no differences in images found by testdiff.
(0030188)
git (administrator)
2014-07-16 14:01

Branch CR25075_1 has been created by inv.

SHA-1: 827526cb0bdf24e3a7a344c623b12af0d40236b2
(0030206)
bugmaster (administrator)
2014-07-16 16:48

Branch CR25075_1 including products master has been tested for compilation without tbb.
Result on Linux and Windows is successful.
(0030322)
git (administrator)
2014-07-22 16:02

Branch CR25075 has been deleted by inv.

SHA-1: 827526cb0bdf24e3a7a344c623b12af0d40236b2
(0030323)
git (administrator)
2014-07-22 16:02

Branch CR25075_1 has been deleted by inv.

SHA-1: 827526cb0bdf24e3a7a344c623b12af0d40236b2

- Related Changesets
occt: master f29db514
Timestamp: 2014-07-17 09:34:05
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025075: BRepMesh - eliminate new x86_64 compiler warnings

BRepMesh - fix compilation without TBB support

Code style
mod - src/BRepMesh/BRepMesh_WireChecker.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireInterferenceChecker.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireInterferenceChecker.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-12 13:12 kgv New Issue
2014-07-12 13:12 kgv Assigned To => kgv
2014-07-12 13:12 kgv Relationship added child of 0024968
2014-07-12 13:17 kgv Note Added: 0030096
2014-07-12 13:17 kgv Assigned To kgv => oan
2014-07-12 13:17 kgv Status new => resolved
2014-07-12 17:26 kgv Note Added: 0030098
2014-07-12 17:26 kgv Priority normal => urgent
2014-07-12 17:26 kgv Description Updated View Revisions
2014-07-14 11:43 oan Note Added: 0030108
2014-07-14 11:43 oan Status resolved => reviewed
2014-07-14 11:50 oan Note Edited: 0030108 View Revisions
2014-07-14 14:57 mkv Assigned To oan => mkv
2014-07-15 21:17 mkv Note Added: 0030175
2014-07-15 21:18 mkv Test case number => Not needed
2014-07-15 21:18 mkv Assigned To mkv => bugmaster
2014-07-15 21:18 mkv Status reviewed => tested
2014-07-16 14:01 git Note Added: 0030188
2014-07-16 16:48 bugmaster Note Added: 0030206
2014-07-22 15:13 bugmaster Changeset attached => occt master f29db514
2014-07-22 15:13 bugmaster Status tested => verified
2014-07-22 15:13 bugmaster Resolution open => fixed
2014-07-22 16:02 git Note Added: 0030322
2014-07-22 16:02 git Note Added: 0030323
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:53 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker